<template>
  <div class="book-facilitator">
    <v-container>
      <v-row>
        <v-col xs="12" sm="6" md="12">
          <p class="title">
            Look for a professional facilitator for you next meeting
          </p>
        </v-col>
      </v-row>
    </v-container>
    <FacilitatorsList class="pb-10" />
    <Footer />
  </div>
</template>

<script>
import Footer from '@/components/Shared/Footer'
import FacilitatorsList from '@/components/Pages/FacilitatorsList'
import { mapActions, mapState } from 'vuex'

export default {
  head() {
    return {
      title: {
        inner: 'Book Facilitator'
      },
      meta: [
        {
          name: 'description',
          content: `${this.appTitle} Book a facilitator`,
          id: 'desc'
        }
      ]
    }
  },
  components: {
    Footer,
    FacilitatorsList
  },
  data: () => ({
    experience: null,
    licensed: false,
    searchName: null
  }),
  computed: {
    ...mapState('facilitatorProfile', [
      'searchFacilitatorsProfiles',
      'searchFacilitatorsProfilesEmpty'
    ])
  },
  mounted() {
    this.showAllFacilitators()
  },
  methods: {
    ...mapActions('facilitatorProfile', [
      'searchFacilitators',
      'showAllFacilitators'
    ]),
    send() {
      if (this.searchName) {
        this.searchFacilitators({
          experience: this.experience,
          licensed: this.licensed,
          searchTerm: this.searchName
        })
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.book-facilitator {
  padding-top: 4rem;
}
</style>
